Move an entry

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
PATCH /case/collections/{caseId}/{collectionId}/entry/{entryId}/{position}

Moves an entry to a new position in the collection.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

    Id of the case

  • collectionId string Required

    Id of the collection

  • entryId string Required

    Id of the entry

  • position string Required

    position to move the entry

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • deviceMessage string | null Required

        Id of the device message this entry points to

      • text string | null Required
      • customType string | null Required
      • customValue string | null Required
      • position number Required

        Index of the entry in the collection, starts from 0

      • type string Required

        Values are message, text, line_break, or custom. Default value is message.

      • createdBy string Required
      • lastUpdatedBy string | null Required
      • caseCollection string Required
      • case string Required
    • statusCode number Required
    • timestamp string(date-time) Required
PATCH /case/collections/{caseId}/{collectionId}/entry/{entryId}/{position}
curl \
 --request PATCH 'http://api.example.com/case/collections/{caseId}/{collectionId}/entry/{entryId}/{position}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "organization: string"
Response examples (200)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "deviceMessage": "507f1f77bcf86cd799439011",
    "text": "Key admission",
    "customType": "string",
    "customValue": "string",
    "position": 0,
    "type": "message",
    "createdBy": "507f1f77bcf86cd799439011",
    "lastUpdatedBy": "507f1f77bcf86cd799439011",
    "caseCollection": "507f1f77bcf86cd799439011",
    "case": "507f1f77bcf86cd799439011"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}